finley::ReferenceElementSet Struct Reference

`#include <ReferenceElementSets.h>`

## Public Member Functions

| ReferenceElementSet (ElementTypeId id, int order, int reduced_order)
const_ShapeFunction_ptr | borrowBasisFunctions (bool reducedShapefunction, bool reducedIntegrationOrder) const
const_ShapeFunction_ptr | borrowParametrization (bool reducedIntegrationOrder) const
const_ReferenceElement_ptr | borrowReferenceElement (bool reducedIntOrder) const
int | getNumNodes () const

## Public Attributes

ReferenceElement_ptr | referenceElementReducedQuadrature
ReferenceElement_ptr | referenceElement

## Detailed Description

A reference element set manages the reference elements for the full and reduced integration order

## Constructor & Destructor Documentation

## ReferenceElementSet()

finley::ReferenceElementSet::ReferenceElementSet | ( | ElementTypeId | id,
|  | int | order,
|  | int | reduced_order
| ) |  |

inline

References finley::ReferenceElementInfo::BasisFunctions, finley::ShapeFunction::getInfo(), finley::ReferenceElement::getInfo(), finley::ShapeFunctionInfo::numOrder, referenceElement, and referenceElementReducedQuadrature.

## Member Function Documentation

## borrowBasisFunctions()

const_ShapeFunction_ptr finley::ReferenceElementSet::borrowBasisFunctions | ( | bool | reducedShapefunction,
|  | bool | reducedIntegrationOrder
| ) |  | const

inline

References referenceElement, and referenceElementReducedQuadrature.

## borrowParametrization()

const_ShapeFunction_ptr finley::ReferenceElementSet::borrowParametrization | ( | bool | reducedIntegrationOrder | ) | const

inline

References referenceElement, and referenceElementReducedQuadrature.

## borrowReferenceElement()

const_ReferenceElement_ptr finley::ReferenceElementSet::borrowReferenceElement | ( | bool | reducedIntOrder | ) | const

inline

References referenceElement, and referenceElementReducedQuadrature.

## getNumNodes()

int finley::ReferenceElementSet::getNumNodes | ( |  | ) | const

inline

References referenceElement.

## Member Data Documentation

## referenceElement

ReferenceElement_ptr finley::ReferenceElementSet::referenceElement

Referenced by borrowBasisFunctions(), borrowParametrization(), borrowReferenceElement(), getNumNodes(), and ReferenceElementSet().

## referenceElementReducedQuadrature

ReferenceElement_ptr finley::ReferenceElementSet::referenceElementReducedQuadrature

Referenced by borrowBasisFunctions(), borrowParametrization(), borrowReferenceElement(), and ReferenceElementSet().

The documentation for this struct was generated from the following file:

- ReferenceElementSets.h